{
  "info": {
    "properties": {
      "id": {
        "type": "long"
      },
      "orderCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "orderName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "mallOrderStatus": {
        "type": "integer"
      },
      "idProduct": {
        "type": "long"
      },
      "idClient": {
        "type": "long"
      },
      "clientName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "clientCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "orderFrom": {
        "type": "integer"
      },
      "platformOrderID": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "platformOrderCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "orderMoneyProcess": {
        "type": "double"
      },
      "orderMoneyPrint": {
        "type": "double"
      },
      "orderMoneyTotal": {
        "type": "double"
      },
      "mallOrderMoneyPay": {
        "type": "double"
      },
      "mallOrderMoneyCharge": {
        "type": "double"
      },
      "erpPaidMoney": {
        "type": "double"
      },
      "erpChargeMoney": {
        "type": "double"
      },
      "orderMoneyPaper": {
        "type": "double"
      },
      "orderMoneyColor": {
        "type": "double"
      },
      "orderMoneyPs": {
        "type": "double"
      },
      "orderMoneyOAs": {
        "type": "double"
      },
      "mallIdPaymentBill": {
        "type": "long"
      },
      "orderMoneySend": {
        "type": "double"
      },
      "orderMoneyPre": {
        "type": "double"
      },
      "kindCount": {
        "type": "integer"
      },
      "orderQty": {
        "type": "double"
      },
      "payKind": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "orderMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "sendMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "deliverDateLong": {
        "type": "long"
      },
      "voidFlag": {
        "type": "integer"
      },
      "cutKind": {
        "type": "integer"
      },
      "printRequire": {
        "type": "text",
        "index": "not_analyzed"
      },
      "prePrintCode": {
        "type": "text",
        "index": "not_analyzed"
      },
      "businessKind": {
        "type": "integer"
      },
      "referenceCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idSale": {
        "type": "long"
      },
      "saleMan": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idSaleWorkTeam": {
        "type": "long"
      },
      "orderMessage": {
        "type": "text",
        "index": "not_analyzed"
      },
      "createMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "mallVerifyMan": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "orderType": {
        "type": "integer"
      },
      "allProcessStr": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "packRequire": {
        "type": "text",
        "index": "not_analyzed"
      },
      "packKind": {
        "type": "integer"
      },
      "boxRequire": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pageQty": {
        "type": "integer"
      },
      "attachFile": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "attachFileLink": {
        "type": "text",
        "index": "not_analyzed"
      },
      "proofFile": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "proofFileLink": {
        "type": "text",
        "index": "not_analyzed"
      },
      "webProofFileLink": {
        "type": "text",
        "index": "not_analyzed"
      },
      "paperRequireFlag": {
        "type": "integer"
      },
      "idProductType": {
        "type": "long"
      },
      "originOrderId": {
        "type": "long"
      },
      "rePrintIndex": {
        "type": "long"
      },
      "rePrintNeedImageProcess": {
        "type": "long"
      },
      "firstOrderFlag": {
        "type": "integer"
      },
      "usePreStore": {
        "type": "integer"
      },
      "traceFlag": {
        "type": "integer"
      },
      "dutyMan": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idClientLevel": {
        "type": "long"
      },
      "idPaymentGroup": {
        "type": "long"
      },
      "outSourceProcessStr": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "productName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "uploadFileMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "uploadFileManPhone": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "checkDateLong": {
        "type": "long"
      },
      "checkMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "productSize": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idPrintMachine": {
        "type": "integer"
      },
      "printMachineName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idOutAssist": {
        "type": "long"
      },
      "outAssistName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "idOutAssistBill": {
        "type": "long"
      },
      "outAssistBillCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "productUnit": {
        "type": "text",
        "index": "not_analyzed"
      },
      "receivableMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "productCutCount": {
        "type": "integer"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}
